ata_std_softreset
Prev | Chapter 4. libata Library | Next

## Name

ata_std_softreset — reset host port via ATA SRST

## Synopsis

`int ata_std_softreset (` | struct ata_link * | link,
| unsigned int * | classes,
| unsigned long | deadline`)`;

## Arguments

`link`

  ATA link to reset

`classes`

  resulting classes of attached devices

`deadline`

  deadline jiffies for the operation

## Description

Reset host port using ATA SRST.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
ata_std_prereset | Home | sata_link_hardreset